## dhelp 0.3.8

=== Makefile ===
all: dhelp_parse.o
	gcc dhelp_parse.o -o dhelp_parse -ldb

clean: 
	rm -rf dhelp_parse dhelp_parse.o *~ core

dhelp_parse.o: dhelp_parse.c
	gcc -g -O -c -Wall -o dhelp_parse.o dhelp_parse.c

=== debian/changelog ===
dhelp (0.3.8) unstable frozen; urgency=low

  * debian/postinst: redirect glimpse messages to /dev/null
                     (reported bug)
  * debian/control: httpd recommends -> suggests (reported bug)
                    Standards-Version: 2.4.0.1

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 15 May 1998 7:21:03 +0200

dhelp (0.3.7) unstable frozen; urgency=low

  * debian/rules: create /var/lib/dhelp directory, needed to fix
                  problem between dhelp and doc-base

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 24 Apr 1998 20:17:05 +0100

dhelp (0.3.6) unstable frozen; urgency=low

  * man pages: + dhelp (en,de)
               + dhelp_parse (en)
  * dhelp: + searching without httpd bug fixed
           + use local httpd (apache) if possible
           + delete existing temp file (security)       
  * dhelp_parse: fixed error in get_item(), necessary for
                 long descriptions like in doc-linux-html
  * debian/control
  * doc/dhelp2dwww.pl: new script for package maintainers
  * doc/sgml2dhelp.pl: new script for package maintainers

 -- Marco Budde <Budde@tu-harburg.de>  Sun, 5 Apr 1998 18:12:43 +0100

dhelp (0.3.5) unstable frozen; urgency=low

  * dsearch: important security bugfixes

 -- Marco Budde <Budde@tu-harburg.de>  Mon, 23 Mar 1998 20:34:29 +0100

dhelp (0.3.4) unstable; urgency=low

  * dh_dhelp: option -noleaf (NFS bug of Linux)
  * debian/dhelp
  * documentation

 -- Marco Budde <Budde@tu-harburg.de>  Wed, 11 Mar 1998 20:43:20 +0100

dhelp (0.3.3) unstable; urgency=low

  * dh_dhelp: chmod
  * bug fix: Spanish translation
  * debian/posting: run glimpse in the background
  * dsearch: French support (Yann)
  * dhelp_parse: html_w_tail() French support

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 6 Mar 1998 16:54:20 +0100

dhelp (0.3.2) unstable; urgency=low

  * dsearch: bugfix
  * dh_dhelp: script for package maintainers (!!!)
  * Priority: optional
  * doc/dhelp.html: description of dh_dhelp

 -- Marco Budde <Budde@tu-harburg.de>  Fri, 27 Feb 1998 20:55:12 +0100

dhelp (0.3.1) unstable; urgency=low 

  * dhelp_parse: foreign language support in html_w_tail ()
                 (English, German, Italian, Spanish)
  * new dsearch (written in Perl) with foreign language support
    (English, German, Italian, Spanish)
  * cgiparse binary removed (i386 -> any)
  * dbugreport removed
  * debian/dhelp: titles in Italian, Spanish

 -- Marco Budde <Budde@tu-harburg.de>  Thu, 26 Feb 1998 21:04:20 +0100

dhelp (0.2.5) unstable; urgency=low

  * dhelp_parse: symlink problem #2
  * French titles (thanks Yann)
  * dhelp_parse: better error checking

 -- Marco Budde <Budde@tu-harburg.d400.de>  Sun, 1 Feb 1998 18:10:21 +0100

dhelp (0.2.4) unstable; urgency=low

  * dhelp_parse: "/usr/doc is a symbolic link" problem solved 
  * /usr/bin/dhelp: X11 WWW browser
  * documentation
  * dhelp_parse: better error checking
  * dhelp_parse: "recursive symbolic link in /usr/doc" problem solved

 -- Marco Budde <Budde@tu-harburg.d400.de>  Sat, 10 Jan 1998 11:20:32 +0100

dhelp (0.2.3) unstable; urgency=low

  * postinst
  * cron.weekly -> conffiles
  * dhelp_parse: compiled with option -O

 -- Marco Budde <Budde@tu-harburg.d400.de>  Thu,  8 Jan 1998 20:55:37 +0100

dhelp (0.2.2) unstable; urgency=low

  * dhelp_parse: missing tail bug fixed
  * cron.weekly: bug fix for *.html.gz
 
 -- Marco Budde <Budde@tu-harburg.d400.de>  Tue,  6 Jan 1998 17:59:21 +0100

dhelp (0.2.1) unstable; urgency=low

  * Priority: standard 
  * dhelp_parse -r deletes /var/lib/dhelp/dbase
  * dhelp_parse: better error checking, flag <dtitle>
  * debian/dhelp includes <dtitle> for English, German groups
  * cgiparse binary (from CERN httpd)
  * dsearch (WWW search)
  * dbugreport (report Debian bugs)

 -- Marco Budde <Budde@tu-harburg.d400.de>  Wed, 31 Dec 1997 14:34:59 +0100

dhelp (0.2-1) unstable; urgency=low

  * new dhelp_parse (written in C using db library), much faster

 -- Marco Budde <Budde@tu-harburg.d400.de>  Mon, 29 Dec 1997 18:53:33 +0100

dhelp (0.1-4) experimental; urgency=low

  * some bug fixes from Christian Schwarz

 -- Marco Budde <Budde@tu-harburg.d400.de>  Wed, 23 Jul 1997 18:50:06 +0200 

dhelp (0.1-3) experimental; urgency=low

  * fix title bug in dhelp_index

 -- Marco Budde <Budde@tu-harburg.d400.de>  Mo, 30 Jun 1997 20:40:45 +0200

dhelp (0.1-2) experimental; urgency=low

  * several bug fixes

 -- Marco Budde <Budde@tu-harburg.d400.de>  Sat, 28 Jun 1997 19:20:13 +0200

dhelp (0.1-1) experimental; urgency=low

  * Initial release.

 -- Marco Budde <Budde@tu-harburg.d400.de>  Wed, 25 Jun 1997 13:04:34 +0200

Local variables:
mode: debian-changelog
End:

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - Copyright 1994,1995 by Ian Jackson.
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

# The name of the package
P = dhelp

R = debian/tmp

DIRECTORIES = \
        $(R) \
        $(R)/DEBIAN \
        $(R)/usr \
        $(R)/usr/bin \
        $(R)/usr/doc/$(P) \
        $(R)/usr/lib \
        $(R)/usr/lib/cgi-bin \
        $(R)/usr/man \
        $(R)/usr/man/man1 \
        $(R)/usr/man/man8 \
        $(R)/usr/man/de_DE \
        $(R)/usr/man/de_DE/man1 \
	$(R)/usr/sbin \
        $(R)/var \
        $(R)/var/lib \
        $(R)/var/lib/dhelp

$(DIRECTORIES):
	install -d -g root -o root -m 755 $@
	chmod g-s $@

# Builds the binary package.
build:
	$(checkdir)
	touch build

# Clean $(DIRECTORIES)
clean-dir:
	$(checkdir)
	rm -rf $(R)

# Undoes the effect of `make -f rules build'.
clean: clean-dir
	$(checkdir)
	[ ! -f Makefile ] || make clean
	rm -f debian/files* debian/substvars core debian/*~ *~ doc/*~ build

# Makes a binary package.
binary-indep: $(DIRECTORIES) checkroot build
	$(checkdir)


binary-arch: $(DIRECTORIES) checkroot build
	$(checkdir)

	make
	cp dhelp_parse $(R)/usr/sbin	
	cp dhelp dh_dhelp $(R)/usr/bin
	cp doc/* debian/THANKS $(R)/usr/doc/$(P)
	cp debian/dhelp $(R)/usr/doc/$(P)/.dhelp
	cp dsearch $(R)/usr/lib/cgi-bin
	cp man/dhelp.1 $(R)/usr/man/man1/
	cp man/dhelp_parse.8 $(R)/usr/man/man8/
	cp man/de/dhelp.1 $(R)/usr/man/de_DE/man1/

	debstd -c
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chown www-data.www-data $(R)/var/lib/dhelp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dhelp 0.3.11

=== debian/changelog ===
dhelp (0.3.11) unstable frozen; urgency=low

  * dhelp: perl -T problem solved (bug #31211)
  * cron.weekly: cd /  (bug #30499)
  * dhelp_parse: core dump problem solved: variables to small
	         (bug #31602)
	
 -- Marco Budde <Budde@tu-harburg.de>  Sat, 23 Jan 1999 20:30:21 +0000	

dhelp (0.3.10-0.1) unstable frozen; urgency=low

  * no maintainer upload, because developer has no working
    development system
  * dhelp_parse: problems with long <linkname> solved 
  * uploader note: read the diff from 0.3.9 on ftp.debian.org.  Seems
    OK to me (auth concerns).

 -- Yann Dirson <dirson@debian.org>  Thu, 19 Nov 1998 21:57:28 +0100

dhelp (0.3.9) unstable; urgency=low

  * Danish translations

 -- Marco Budde <Budde@tu-harburg.de>  Tue, 8 Sep 1998 21:58:51 +0200

=== debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Marco Budde <Budde@tu-harburg.de>
Standards-Version: 2.4.0.1

Package: dhelp
Depends: ${shlibs:Depends}
Recommends: www-browser
Suggests: httpd, glimpse (>= 4.0-1), info2www, man2html 
Architecture: any
Description: online help system
 Read all documentation with a WWW browser. dhelp builds a
 index of all installed HTML documentation. You don't need
 a WWW server to read the documentation. dhelp offers a
 very fast search in the HTML documents.
 .
       http://localhost/doc/HTML/index.html

## dhelp 0.3.23

=== Makefile ===
DBLIB = $(shell if [ -f /usr/lib/libdb1.a ]; then echo -ldb1; else echo -ldb; fi)

all: dhelp_parse.o
	gcc dhelp_parse.o -o dhelp_parse $(DBLIB)

clean: 
	rm -rf dhelp_parse dhelp_parse.o *~ core

dhelp_parse.o: dhelp_parse.c
	gcc -g -O2 -c -Wall -o dhelp_parse.o dhelp_parse.c

=== fsstnd/Makefile ===
DBLIB = $(shell if [ -f /usr/lib/libdb1.a ]; then echo -ldb1; else echo -ldb; fi)

all: dhelp_parse.o
	gcc dhelp_parse.o -o dhelp_parse_fsstnd $(DBLIB)

clean: 
	rm -rf dhelp_parse_fsstnd dhelp_parse.o *~ core

dhelp_parse.o: dhelp_parse.c
	gcc -g -O2 -c -Wall -o dhelp_parse.o dhelp_parse.c

=== debian/changelog ===
dhelp (0.3.23) unstable frozen; urgency=low

  * dsearch: security fix for glimpse's temp files (#60853)

 -- Marco Budde <budde@debian.org>  Thu, 23 Mar 2000 21:42:05 +0100
	

dhelp (0.3.22) unstable frozen; urgency=low

  * dsearch: DoS security check (#60849)

 -- Marco Budde <budde@debian.org>  Tue, 21 Mar 2000 21:24:09 +0100 
	

dhelp (0.3.21) unstable frozen; urgency=low

  * dsearch: dhelp console support fixed  (#55545, #20891)

 -- Marco Budde <budde@debian.org>  Mon, 20 Mar 2000 22:24:48 +0100
	

dhelp (0.3.20) unstable frozen; urgency=low

  * installation scripts changed
  * parser bug "can't open ..." fixed
	
 -- Marco Budde <budde@debian.org>  Sat, 29 Jan 2000 17:30:33 +0100
	

dhelp (0.3.19) unstable frozen; urgency=low
	
  * alpha patch (bug report #44082) added
  * AOLserver support in dhelp (bug report #54527)
  * dsearch: sorting bug solved, new look
  * dsearch: supports /usr/doc *and* /usr/share/doc
	     -- please test this new feature --

 -- Marco Budde <budde@debian.org>  Sat, 15 Jan 2000 18:34:29 +0100
	

dhelp (0.3.18) unstable frozen; urgency=low

  * dh_dhelp
  * upload to frozen

 -- Marco Budde <budde@debian.org>  Tue,  4 Jan 2000 20:21:50 +0100
	

dhelp (0.3.17) unstable; urgency=low

  * most changes of 0.3.16 removed
  * /usr/doc/HTML is a link to /usr/share/doc/HTML
  * old packages can be found at /usr/doc/HTML2
	
 -- Marco Budde <budde@debian.org>  Mon,  3 Jan 2000 20:22:22 +0100

dhelp (0.3.16) unstable; urgency=low
	
  * dh_dhelp: support for policy 3.1.0.0
  * fsstnd/dhelp_parse.c: hacked to follow symlinks
    (policy 3.1.0.0)	
  * README in /usr/doc/HTML and /usr/share/doc/HTML added
    (bug #49793: dhelp deletes this directories)
  * documentation updated
	
 -- Marco Budde <budde@debian.org>  Fri, 31 Dec 1999 13:48:09 +0100
	

dhelp (0.3.15) unstable; urgency=low
	
  * dh_dhelp: + supports -p/-P options
	      + supports dh_installdeb 
  * dh_dhelp man page (new)
  * policy 3.1.0.0 (package itself)

 -- Marco Budde <budde@debian.org>  Mon,  8 Nov 1999 14:54:21 +0100
	

dhelp (0.3.14) unstable; urgency=low

  * new dhelp_parse_fsstnd to support FSSTND.

 -- Marco Budde <budde@debian.org>  Mon, 20 Sep 1999 18:43:09 +0200
	

dhelp (0.3.13) unstable; urgency=low

  * dhelp: support for gnome-help-browser
  * dhelp_parse.c: #include <db.h> for "old" systems
  * debian/cron.weekly: policy 3.0.0.0
  * dsearch: policy 3.0.0.0
  * man pages: policy 3.0.0.0
	
 -- Marco Budde <budde@debian.org>  Tue, 20 Jul 1999 20:36:38 +0200

dhelp (0.3.12) unstable; urgency=low
	
  * Makefile: link with db1 
  * dhelp_parse.c: #include <db/db.h>
  * Policy 3.0.x: /usr/share/doc
  * new debian/menu (bug #41140)
  * dhelp_parse.c: new look
  * dhelp: support for gzilla & amaya added
	
 -- Marco Budde <budde@debian.org>  Tue, 13 Jul 1999 15:20:09 +0200
	

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Marco Budde <Budde@tu-harburg.de>
-Standards-Version: 2.4.0.1
+Maintainer: Marco Budde <budde@debian.org>
+Standards-Version: 3.1.0.0
 
 Package: dhelp
 Depends: ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

# The name of the package
P = dhelp

R = debian/tmp

DIRECTORIES = \
        $(R) \
        $(R)/DEBIAN \
        $(R)/usr \
        $(R)/usr/bin \
        $(R)/usr/share/doc/$(P) \
        $(R)/usr/lib/cgi-bin \
        $(R)/usr/share/man/man1 \
        $(R)/usr/share/man/man8 \
        $(R)/usr/share/man/de/man1 \
	$(R)/usr/sbin \
        $(R)/var/lib/dhelp

$(DIRECTORIES):
	install -d -g root -o root -m 755 $@
	chmod g-s $@

# Builds the binary package.
build:
	$(checkdir)
	touch build

# Clean $(DIRECTORIES)
clean-dir:
	$(checkdir)
	rm -rf $(R)

# Undoes the effect of `make -f rules build'.
clean: clean-dir
	$(checkdir)
	[ ! -f Makefile ] || make clean
	rm -f debian/files* debian/substvars core debian/*~ *~ doc/*~ build
	make -C fsstnd clean
	rm -f debian/post*.debhelper debian/pre*.debhelper

# Makes a binary package.
binary-indep: $(DIRECTORIES) checkroot build
	$(checkdir)


binary-arch: $(DIRECTORIES) checkroot build
	$(checkdir)

	make
	cp dhelp_parse $(R)/usr/sbin	
	cp dhelp dhelp_fsstnd dh_dhelp $(R)/usr/bin
	cp doc/* debian/THANKS $(R)/usr/share/doc/$(P)
	cp debian/dhelp $(R)/usr/share/doc/$(P)/.dhelp
	cp debian/{changelog,README.debian,copyright} $(R)/usr/share/doc/$(P)
	gzip -9 $(R)/usr/share/doc/$(P)/{changelog,README.debian,copyright}
	cp dsearch $(R)/usr/lib/cgi-bin
	cp man/{dhelp.1,dh_dhelp.1} $(R)/usr/share/man/man1/
	cp man/dhelp_parse.8 $(R)/usr/share/man/man8/
	cp man/de/dhelp.1 $(R)/usr/share/man/de/man1/
	gzip $(R)/usr/share/man/man1/* $(R)/usr/share/man/man8/* 
	gzip $(R)/usr/share/man/de/man1/*


# old fsstnd support
	make -C fsstnd
	cp fsstnd/dhelp_parse_fsstnd $(R)/usr/sbin

	dh_shlibdeps
	dh_strip
	dh_installcron
	dh_installmenu
	dh_installdeb 
	dh_md5sums

	dpkg-gencontrol
	chown -R root.root debian/tmp
	chown www-data.www-data $(R)/var/lib/dhelp
	chmod -R g-ws debian/tmp

	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## dhelp 0.5.11

=== debian/changelog ===
dhelp (0.5.11) unstable; urgency=medium

  * made "other documents" link relative (Closes: #82757)
  * avoid Perl warnings if browser undefined
  * really set the defaults for console/X browsers
  * removed gnome-help-browser from list of X browsers (Closes: #143869,
  	thanks to Thomas Langen <langen@langensoft.de> for reporting it)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 21 Apr 2002 15:57:26 +0200

dhelp (0.5.10) unstable; urgency=high

  * rewritten copyright file to comply with policy (Closes: #111762)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  3 Apr 2002 13:36:24 +0200

dhelp (0.5.9) unstable; urgency=low

  * rewrite of the dhelp script: 
    - checks now if a WWW server listening on the localhost (Closes: #36880)
    - browser is now configurable by debconf and configuration files
      (Closes: #80218)
    - provides a --help option now (thanks to Chris Tillman
      <tillman@azstarnet.com>, Closes: #126583)
  * use .png images instead of .gif ones (Closes: #116676)
  * more comprehensive description about accessing the online
    help system in debian/control (Closes: #106957)
  * directories database, help, misc and otherosfs added to debian/dhelp
    (Closes: #119709)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 19 Mar 2002 16:43:39 +0100

dhelp (0.5.8) unstable; urgency=low

  * dsearch displays appropriate message now in case of missing search
    results (Closes: #67741, #123286)
  * made dhelp script working with search tokens again
  * removed obsolete dhelp_fsstnd

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Tue, 11 Dec 2001 15:44:16 +0100

dhelp (0.5.7) unstable; urgency=low

  * more titles added (Closes: #121279)
  * remove /usr/doc/HTML2 on postinst (again Closes: #84206)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri,  7 Dec 2001 15:36:27 +0100

dhelp (0.5.6) unstable; urgency=low

  * use Debian logo from http://www.debian.org (Closes: #46338)
  * removed outdated README.debian (Closes: #119705)
  * run dh_compress (Closes: #119759)
  * remove /usr/doc/HTML2 on purge (Closes: #84206)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 24 Nov 2001 16:52:32 +0100

dhelp (0.5.5) unstable; urgency=low

  * dsearch checks now if a search token is supplied (Closes: #34807)
  * added missing entries to dhelp's .dhelp (Closes: #117362)
  * added a warning if the title is missing 
  * typo and email address fixed in dhelp.html
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 28 Oct 2001 11:19:45 +0100

dhelp (0.5.4) unstable; urgency=low

  * images were installed in a subdirectory of /usr/share/doc/dhelp,
    so they couldn't displayed in a browser accessing the dhelp pages

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 28 Oct 2001 11:05:39 +0100

dhelp (0.5.3) unstable; urgency=low

  * fixed a number of a places to stop dhelp_parse immediately if an error
    occurs
  * stop if string after <directory> in .dhelp starts with a slash
    (Closes: #21361)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 27 Oct 2001 19:42:39 +0200

dhelp (0.5.2) unstable; urgency=low

  * call dh_installdirs to ensure that /var/lib/dhelp exists (Closes: #116490)
  * call make install instead of installing manually

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sun, 21 Oct 2001 13:34:13 +0200

dhelp (0.5.1) unstable; urgency=low

  * chown of /var/lib/dhelp removed from postinst too (Closes: #60964)
  * removed old Debian Online Help from menu file
  * use Swish++ as search engine now (Closes: #57932, #63693, #92906, #111547)
  * moved build operations to build target (Closes: #115455)
  * CREDITS file added
  * use dh_clean instead of removing files manually
  * postinst rewritten, we no longer care about /usr/doc (Closes: #114922)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat, 20 Oct 2001 13:12:00 +0200

dhelp (0.5.0) unstable; urgency=low

  * automake support added
  * removed dhelp_parse_fsstnd (Closes: #89073)
  * no longer give away /var/lib/dhelp to www-data (Closes: #60964)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  4 Oct 2001 14:52:08 +0200

dhelp (0.3.24) unstable; urgency=low

  * Force usage of libdb3. (Closes: #112659)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon, 24 Sep 2001 13:08:33 +0200

dhelp (0.3.23.2) unstable frozen; urgency=low

  * NMU
  * include source this time.  Closes: #104805.

 -- LaMont Jones <lamont@debian.org>  Wed, 15 Aug 2001 23:45:58 -0600

=== debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
Standards-Version: 3.1.0.0
Build-Depends: libdb3-dev, debhelper

Package: dhelp
Depends: ${shlibs:Depends}, debconf, perl-modules
Recommends: www-browser
Suggests: httpd, swish++, info2www, man2html 
Architecture: any
Description: online help system
 Read all documentation with a WWW browser. dhelp builds a
 index of all installed HTML documentation. You don't need
 a WWW server to read the documentation. dhelp offers a
 very fast search in the HTML documents.
 .
 You can access the online help system with the dhelp
 program or with your browser. The URL to point your
 browser at is http://localhost/doc/HTML/index.html
 if you have a WWW server installed or 
 file://localhost/usr/share/doc/HTML/index.html if not.

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

VERSION:=$(shell dpkg-parsechangelog | perl -ne 'print $$1 $$2 if /^Version: (.*?)-(.*)$$/')

# The name of the package
P = dhelp

R = debian/tmp

# Builds the binary package.
build:
	$(checkdir)
	./configure --prefix=/usr
	make

# Undoes the effect of `make -f rules build'.
clean:
	$(checkdir)
	[ ! -f Makefile ] || make clean
	dh_clean

# Makes a binary package.
binary-indep: checkroot build
	$(checkdir)

binary-arch: checkroot build
	$(checkdir)
	dh_installdirs
	$(MAKE) DESTDIR=$(R) install
# put version into dhelp script
	perl -i -pe "s/__VERSION__/$(shell dpkg-parsechangelog | perl -ne 'print $$1 if /^Version: (.*)$$/')/" $(R)/usr/bin/dhelp
	mkdir -p $(R)/usr/share/doc/$(P)
	cp doc/* $(R)/usr/share/doc/$(P)
	cp debian/dhelp $(R)/usr/share/doc/$(P)/.dhelp
	mkdir -p $(R)/usr/lib/cgi-bin
	cp dsearch $(R)/usr/lib/cgi-bin

	dh_installdebconf
	dh_shlibdeps
	dh_strip
	dh_installman man/dhelp.1 man/dh_dhelp.1 man/dhelp_parse.8
	dh_installchangelogs
	dh_installcron
	dh_installdocs CREDITS debian/THANKS
	dh_installmenu

	dh_compress -X .dhelp
	dh_installdeb 
	dh_gencontrol
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: build binary binary-arch binary-indep clean checkroot

## dhelp 0.5.18

=== debian/changelog ===
dhelp (0.5.18) unstable; urgency=low

  * properly untaint search specification in dsearch CGI script 
  	(Closes: #229688, #254552, thanks to  Dan Jacobson
    <jidanni@jidanni.org> and Dafydd Harries <daf@muse.19inch.net> for
    reporting)
  * added German translation of debconf templates (Closes: #252329, thanks
    to Erik Schanze <schanzi_usenet@gmx.de>)
  * added Dutch translation of debconf templates (Closes: #250233, thanks
    to Luk Claes <luk.claes@ugent.be>)
  * added Turkish translation of debconf templates (Closes: #252939,
    thanks to Recai Oktas <roktas@omu.edu.tr>)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 16 Jun 2004 00:26:05 +0200

dhelp (0.5.17) unstable; urgency=low

  * Recognize epiphany as X11 browser (Closes: #241536, thanks to Dan
    Korostelev <dan@ats.energo.ru> for the report)
  * Removed obsolete dh_dhelp script (Closes: #74846, #115047)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  1 Apr 2004 23:34:39 +0200

dhelp (0.5.16) unstable; urgency=low

  * Changed maintainer back to Stefan Hornburg (Racke) <racke@linuxia.de>
    (Closes: #210439)
  * Acknowledge bugs closed in NMUs 
    (Closes: #203082, #207793, #210657, #230351)
  * Proper handling of creation and deletion of /var/lib/dhelp also fixes
    another bug (Closes: #202213)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 17 Mar 2004 02:32:11 +0100

dhelp (0.5.15-0.3) unstable; urgency=low

  * Non-maintainer upload
  * *Really* apply Alexander Kogan patch.

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Mar 2004 09:07:24 +0100

dhelp (0.5.15-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Create /var/lib/dhelp in postinst. Closes: #230351
    Thanks to Alexander Kogan for the patch
  * Switch to gettext for debconf templates. Closes: #207793
  * French debconf templates translation. Closes: #210657

 -- Christian Perrier <bubulle@debian.org>  Mon,  8 Mar 2004 20:20:57 +0100

dhelp (0.5.15-0.1) unstable; urgency=low

  * Non-maintainer upload
  * dhelp_parse.c: Changed stat() to lstat() in rm_r(), thanks to
    John Belmonte <jvb@prairienet.org> (Closes: #203082)

 -- Roland Stigge <stigge@antcom.de>  Wed,  3 Sep 2003 22:16:25 +0200

dhelp (0.5.15) unstable; urgency=low

  * changing /cgi-bin/man2html to /cgi-bin/man/man2html in dhelp_parse.
    (Closes: #182864)
  * added Daniel Nouri, a good friend of mine and a amazing programmer to
    the uploaders-field in debian/control. He will help me in maintaining
    and developing dhelp in future. Thanks! :-)
  * changed "make clean" to "make distclean" in debian/rules. Thanks to
    Michael Banck for this hint.
  * added dh_fixperms to debian/rules.

 -- Daniel K. Gebhart <dkg@con-fuse.org>  Fri, 28 Feb 2003 18:51:56 +0000

dhelp (0.5.14) unstable; urgency=low

  * switching maintainer to Daniel K. Gebhart <dkg@con-fuse.org>
    (Closes: #172346)

 -- Daniel K. Gebhart <dkg@con-fuse.org>  Sat, 18 Jan 2003 20:41:39 +0200

dhelp (0.5.13) unstable; urgency=low

  * deactivated warning message on directories not included in
    /usr/share/doc/dhelp/.dhelp (Closes: #118600)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Sat,  7 Sep 2002 23:59:00 +0200

dhelp (0.5.12) unstable; urgency=low

  * added debconf template translation to Brazilian Portuguese 
    (Closes: #144648, thanks to Paulo R. Ormenese <pormenese@uol.com.br>)
  * modified icons to get the background color right (Closes: #147198,
    thanks to Laurent Bonnaud <Laurent.Bonnaud@inpg.fr> for reporting and
    Don Armstrong <don@donarmstrong.com> for providing the icons)
  * removed unnecessary check on search parameters (Closes: #151184)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed, 22 May 2002 02:22:55 +0200

## dhelp 0.5.19

=== debian/changelog ===
dhelp (0.5.19) unstable; urgency=low

  * improved error messages from dsearch in respect of missing search
    engine or database (Closes: #272614, #272951, thanks to James R. Van
    Zandt <jrvz@comcast.net> for the patches)
  * updated dhelp manual page (Closes: #147727)
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 23 Sep 2004 11:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
 Standards-Version: 3.1.0.0
-Build-Depends: libdb3-dev, debhelper
+Build-Depends: libdb3-dev, debhelper (>= 4.1.16)
 
 Package: dhelp
 Depends: ${shlibs:Depends}, debconf, perl-modules

## dhelp 0.5.23

=== debian/changelog ===
dhelp (0.5.23) unstable; urgency=low

  * debconf-2.0 alternative dependency added (Closes: #331801, thanks to
    Joey Hess <joey@kitenet.net> for the report)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Wed,  5 Oct 2005 10:00:17 +0200

dhelp (0.5.22) unstable; urgency=high

  * applied patch from Robert Harris <robert.f.harris@blueyonder.co.uk> to
    avoid segmentation faults (Closes: #330488, thanks to Daniel Schepler
    <schepler@math.berkeley.edu> for the report)
  * fixed wrong spelling in dhelp file (Closes: #31212, thanks to Esteban
    Manchado Velzquez <zoso@foton.es> for investigations)
  * added Vietnamese translation of debconf templates (Closes: #311586,
    thanks to Clytie Siddall <clytie@riverland.net.au>)
  * added Portuguese translation of debconf templates (Closes: #315874,
    thanks to Miguel Figueiredo <elmig@debianpt.org>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Fri, 26 Aug 2005 10:10:52 +0200

dhelp (0.5.21) unstable; urgency=low

  * added Czech translation of debconf templates (Closes: #308205, thanks
    to Martin Sin <martin.sin@seznam.cz>)
  * added Japanese translation of debconf templates (Closes: #273603, thanks
    to Hideki Yamane <henrich@samba.gr.jp>)

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Mon,  9 May 2005 14:08:46 +0200

dhelp (0.5.20) unstable; urgency=low

  * handle missing /usr/share/doc directory gracefully (Closes: #300440,
    thanks to Marc Langer <marc@marclanger.de> for the report and Gustavo
    Franco <stratus@debian.org> for the patch)
  * quote command in menu file
  * use mozilla-firefox as real package for recommends on virtual package
    www-browser

 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu, 31 Mar 2005 20:24:45 +0200

## dhelp 0.5.24

=== debian/changelog ===
dhelp (0.5.24) unstable; urgency=low

  * updated Vietnamese translation of debconf templates (Closes: #397099,
    thanks to Clytie Siddall <clytie@riverland.net.au>)
  * added Romanian translation of debconf templates (thanks to Eddy
    Petrisor <eddy.petrişor@gmail.com>)
  * added Russian translation of debconf templates (Closes: #343843,
    thanks to Yuri Kozlov <kozlov.y@gmail.com>)
  * added Swedish translation of debconf templates (Closes: #332367,
    thanks to Daniel Nylander <yeager@lidkoping.net>)
  * added Spanish translation of debconf templates (Closes: #336068,
    thanks to César Gómez Martín" <cesar.gomez@gmail.com>)
  * switched changelog to UTF-8, fixed odd date entry
  * new FSF address in Debian copyright
  
 -- Stefan Hornburg (Racke) <racke@linuxia.de>  Thu,  9 Nov 2006 21:19:44 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: libdb3-dev, debhelper (>= 4.1.16)
 
 Package: dhelp
-Depends: ${shlibs:Depends}, debconf, perl-modules
-Recommends: www-browser
+Depends: ${shlibs:Depends}, debconf | debconf-2.0, perl-modules
+Recommends: mozilla-firefox | www-browser
 Suggests: httpd, swish++, info2www, man2html 
 Architecture: any
 Description: online help system

## dhelp 0.5.24-0.1ubuntu1

=== debian/changelog ===
dhelp (0.5.24-0.1ubuntu1) gutsy; urgency=low

  [ Philipp Kern ]
  * Fixed a stack smash failure, thanks to Robert Harris (LP: #123600)

  [ Sarah Hobbs ]
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sun, 30 Sep 2007 02:24:42 +1000

dhelp (0.5.24-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build against libdb4.5-dev (Closes: 282172).
  * Update build-system.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 20 Jul 2007 16:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: dhelp
 Section: doc
 Priority: optional
-Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
 Standards-Version: 3.1.0.0
-Build-Depends: libdb3-dev, debhelper (>= 4.1.16)
+Build-Depends: libdb4.5-dev, debhelper (>= 4.1.16)
 
 Package: dhelp
 Depends: ${shlibs:Depends}, debconf | debconf-2.0, perl-modules

## dhelp 0.6.6ubuntu3

=== Makefile ===
# Makefile for dhelp project

# Copyright (C) 2005 Esteban Manchado Velzquez <zoso@debian.org>

# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

PACKAGE = dhelp
VERSION = 0.6.6ubuntu3
PREFIX_  = $(if $(PREFIX),$(PREFIX),/usr/local)
DESTDIR_ = $(DESTDIR)/$(PREFIX_)
RHTML_TEMPLATES = *.rhtml
TMPL_TEMPLATES = *.tmpl
PERL_I18N_PROGRAMS = dsearch

all:

checkversion:
	@DCHANGELOG_VERSION=`dpkg-parsechangelog | egrep Version: | sed 's/Version: //'`; \
	if [ $$DCHANGELOG_VERSION != $(VERSION) ]; then \
	    echo "Version mismatch: debian/changelog says $$DCHANGELOG_VERSION, Makefile $(VERSION)" 2>&1; \
		exit 1; \
	fi

install: checkversion
	mkdir -p $(DESTDIR_) $(DESTDIR_)/sbin $(DESTDIR_)/bin $(DESTDIR_)/lib/cgi-bin $(DESTDIR_)/share/doc/dhelp $(DESTDIR_)/share/dhelp
	# Executable files
	install dhelp $(DESTDIR_)/bin/dhelp
	install dsearch $(DESTDIR_)/lib/cgi-bin/dsearch
	install dhelp_fetcher.rb $(DESTDIR_)/lib/cgi-bin/dhelp_fetcher
	install dhelp_parse.rb $(DESTDIR_)/sbin/dhelp_parse.rb
	# Update PREFIX variable in dhelp_parse.rb
	sed 's|^PREFIX = .*|PREFIX = "$(PREFIX_)"|' $(DESTDIR_)/sbin/dhelp_parse.rb >$(DESTDIR_)/sbin/dhelp_parse
	rm -f $(DESTDIR_)/sbin/dhelp_parse.rb
	chmod a+x $(DESTDIR_)/sbin/dhelp_parse
	# Ruby libraries
	mkdir -p $(DESTDIR_)/lib/ruby/1.8
	cp -r lib/* $(DESTDIR_)/lib/ruby/1.8
	# Misc files/dirs
	cp *.rhtml *.tmpl swish++.conf $(DESTDIR_)/share/dhelp/
	mkdir -p $(DESTDIR)/etc
	cp dhelp.conf-sample $(DESTDIR)/etc/dhelp.conf
	# Translations
	for i in po/*.po; do \
	    mkdir -p $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/; \
	    rmsgfmt -o $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/dhelp.mo $$i; \
	done

test:
	RUBYLIB=lib:test ruby -w test/ts_dhelp.rb

updatepo: po/*.po

po/dhelp.pot: $(RHTML_TEMPLATES) $(TMPL_TEMPLATES) $(PERL_I18N_PROGRAMS)
	rgettext $(RHTML_TEMPLATES) >po/dhelp.pot
	xgettext --language=c --keyword=t --join-existing -o po/dhelp.pot $(TMPL_TEMPLATES)
	xgettext --language=perl --keyword=_ --join-existing -o po/dhelp.pot $(PERL_I18N_PROGRAMS)

po/%.po: po/dhelp.pot
	rmsgmerge $@ po/dhelp.pot > $@.tmp
	mv -f $@.tmp $@

.PHONY: install all test updatepo checkversion

=== _darcs/pristine/Makefile ===
# Makefile for dhelp project

# Copyright (C) 2005 Esteban Manchado Velzquez <zoso@debian.org>

# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.

# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

PACKAGE = dhelp
VERSION = 0.6.6
PREFIX_  = $(if $(PREFIX),$(PREFIX),/usr/local)
DESTDIR_ = $(DESTDIR)/$(PREFIX_)
RHTML_TEMPLATES = *.rhtml
TMPL_TEMPLATES = *.tmpl
PERL_I18N_PROGRAMS = dsearch

all:

checkversion:
	@DCHANGELOG_VERSION=`dpkg-parsechangelog | egrep Version: | sed 's/Version: //'`; \
	if [ $$DCHANGELOG_VERSION != $(VERSION) ]; then \
	    echo "Version mismatch: debian/changelog says $$DCHANGELOG_VERSION, Makefile $(VERSION)" 2>&1; \
		exit 1; \
	fi

install: checkversion
	mkdir -p $(DESTDIR_) $(DESTDIR_)/sbin $(DESTDIR_)/bin $(DESTDIR_)/lib/cgi-bin $(DESTDIR_)/share/doc/dhelp $(DESTDIR_)/share/dhelp
	# Executable files
	install dhelp $(DESTDIR_)/bin/dhelp
	install dsearch $(DESTDIR_)/lib/cgi-bin/dsearch
	install dhelp_fetcher.rb $(DESTDIR_)/lib/cgi-bin/dhelp_fetcher
	install dhelp_parse.rb $(DESTDIR_)/sbin/dhelp_parse.rb
	# Update PREFIX variable in dhelp_parse.rb
	sed 's|^PREFIX = .*|PREFIX = "$(PREFIX_)"|' $(DESTDIR_)/sbin/dhelp_parse.rb >$(DESTDIR_)/sbin/dhelp_parse
	rm -f $(DESTDIR_)/sbin/dhelp_parse.rb
	chmod a+x $(DESTDIR_)/sbin/dhelp_parse
	# Ruby libraries
	mkdir -p $(DESTDIR_)/lib/ruby/1.8
	cp -r lib/* $(DESTDIR_)/lib/ruby/1.8
	# Misc files/dirs
	cp *.rhtml *.tmpl swish++.conf $(DESTDIR_)/share/dhelp/
	mkdir -p $(DESTDIR)/etc
	cp dhelp.conf-sample $(DESTDIR)/etc/dhelp.conf
	# Translations
	for i in po/*.po; do \
	    mkdir -p $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/; \
	    rmsgfmt -o $(DESTDIR_)/share/locale/`basename $$i .po`/LC_MESSAGES/dhelp.mo $$i; \
	done

test:
	RUBYLIB=lib:test ruby -w test/ts_dhelp.rb

updatepo: po/*.po

po/dhelp.pot: $(RHTML_TEMPLATES) $(TMPL_TEMPLATES) $(PERL_I18N_PROGRAMS)
	rgettext $(RHTML_TEMPLATES) >po/dhelp.pot
	xgettext --language=c --keyword=t --join-existing -o po/dhelp.pot $(TMPL_TEMPLATES)
	xgettext --language=perl --keyword=_ --join-existing -o po/dhelp.pot $(PERL_I18N_PROGRAMS)

po/%.po: po/dhelp.pot
	rmsgmerge $@ po/dhelp.pot > $@.tmp
	mv -f $@.tmp $@

.PHONY: install all test updatepo checkversion

=== _darcs/pristine/debian/changelog ===
dhelp (0.6.6) unstable; urgency=low

  * Don't show in the directory any documents that don't have any supported
    format.
  * Add "DVI" to supported formats for the documentation directory.
  * Add firefox to Recommends, for Ubuntu compatibility (Closes: #454517).
  * Bump debhelper compatibility level to 5.
  * Use /var/tmp for temporary files (Closes: #458546).
  * Behave with doc-base (in particular, install-docs). Now parameters to -a
    and -r options in dhelp_parse are interpreted as what they are now:
    doc-base file paths.
  * Don't choke with missing "Files" field (Closes: #455731).
  * Bump Standards-Version to 3.7.3
  * Remove bashism in Makefile (Closes: #463582).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 03 Feb 2008 17:10:10 +0100

dhelp (0.6.5) unstable; urgency=low

  * Index *.pdf and *.txt. Otherwise, it seems only PDF files are indexed.
  * Add a rule for converting PS files to text prior to indexing.
  * Move pstotext to dependencies, because it is needed for indexing.
  * Add dhelp_fetcher.rb, a script to get the contents of a doc-base
    registered documentation file. It uncompresses PDF and PS files for easy
    viewing inside a browser.
  * Only index files, never directories (directories can be specified
    implicitly by a glob, but those aren't part of the documentation).
  * Fix a couple of problems on upgrade (Closes: #452873).
  * Fix some issues with offline mode.
  * Fix subsubsections in the generated documentation directory.
  * Add a hack to avoid 3rd party error messages at installation time.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Thu, 06 Dec 2007 18:03:40 +0100

dhelp (0.6.0) unstable; urgency=low

  * Changed all the indexing system so it now searches in the registered
    document, instead of in the HTML directory generated by dhelp.
  * Make .dhelp files obsolete, just use doc-base files directly. They contain
    more information, maintenance is easier over all (we get rid of pointless
    conversions), and we get rid of bugs
    (Closes: #19076, #429233, #334789, #347980, #155054, #177668, #19076).
  * Clean up dhelp.pot file weirdness (Closes: #448211).
  * Removed the hardcoded HTML in favour of using templates, redesign the
    appearance of all pages, and made all those templates translatable to
    different languages using gettext.
  * Added configuration file to specify directories to search for doc-base
    files (Closes: #81405).
  * Add a special, "all" section with all the documents (Closes: #188258).
  * Show relevant portions of the results when searching (Closes: #272953).
  * Order sections (Closes: #283402).
  * Remove remaining debconf traces. Apart from not being used anymore, it was
    making the postinst wait for the indexing even if it was run in the
    background.
  * Depend on swish++ instead of just recommending it.
  * Recommend or suggest different packages that give preview on search
    results
  * Change mozilla-firefox dependency to iceweasel.

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sun, 25 Nov 2007 20:00:58 +0100

dhelp (0.5.25) unstable; urgency=low

  * Maintainer change.
  * Rewrite dhelp_parse in Ruby. This fixes some bugs and avoids many problems
    (Closes: #21678, #268487, #62454, #312950, #442943, #444429, #193428).
  * This release should be a drop-in replacement for the C version, and still
    uses the same database and internal format.
  * It also adds a Ruby library, to allow other developers to write other
    programs that read and/or update the dhelp databases.
  * Use "http://localhost" for CGI script URLs (Closes: #114588).
  * Removed misleading dot from example (Closes: #381804).
  * Uses sensible-browser instead of having its own configuration system
    (Closes: #146002, #162518, #381805, #217162, #430590).
  * Clean up the HTML a bit (Closes: #438973, #134567, #115306).
  * Remove references to obsolete script dh_dhelp (Closes: #369459).
  * Raise title limit from 49 to 100 characters (Closes: #102393).
  * Depend on doc-base, to make sure packages have their documentation
    available for dhelp (Closes: #314733, #368035).
  * Wait a couple of seconds before exiting, after a fatal error, to make sure
    the user can read the error message (Closes: #35097).
  * Make documentation index files world-readable, regardless of current umask
    (Closes: #158792, #430474, #430505).
  * Remove obsolete script dhelp2dwww.pl, and references to it
    (Closes: #364245).
  * Remove "dangerous" environment variables from dsearch, to avoid taint
    problems (Closes: #389944).
  * Strip blanks from .dhelp field values (Closes: #133218).

 -- Esteban Manchado Velázquez <zoso@debian.org>  Sat, 20 Oct 2007 17:35:26 +0200

=== debian/changelog ===
dhelp (0.6.6ubuntu3) hardy; urgency=low

  * Exit zero if the bdb module is not available; this usually indicates
    that dhelp is not configured yet (LP: #205308).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 06 Apr 2008 13:12:50 +0100

dhelp (0.6.6ubuntu2) hardy; urgency=low

  * Bring the version in the Makefile and the one in debian/changelog into
    sync. 

 -- Michael Bienia <geser@ubuntu.com>  Tue, 12 Feb 2008 10:51:44 +0100

dhelp (0.6.6ubuntu1) hardy; urgency=low

  * use firefox-3.0 as recommends
    - update debian/control
  * update maintainer field according to ubuntu/motu policy
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Tue, 05 Feb 2008 16:58:00 +0100

=== _darcs/pristine/debian/control ===
Source: dhelp
Section: doc
Priority: optional
Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util

Package: dhelp
Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb4.2-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext
Recommends: iceweasel | firefox | www-browser
Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi, xpdf-utils
Architecture: all
Description: online help system
 Read all documentation with a WWW browser. dhelp builds a
 index of all installed HTML documentation. You don't need
 a WWW server to read the documentation. dhelp offers a
 very fast search in the HTML documents.
 .
 You can access the online help system with the dhelp
 program or with your browser. The URL to point your
 browser at is http://localhost/doc/HTML/index.html
 if you have a WWW server installed or 
 file://localhost/usr/share/doc/HTML/index.html if not.

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: doc
 Priority: optional
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stefan Hornburg (Racke) <racke@linuxia.de>
-Standards-Version: 3.1.0.0
-Build-Depends: libdb4.5-dev, debhelper (>= 4.1.16)
+XSBC-Original-Maintainer: Esteban Manchado Velázquez <zoso@debian.org>
+Uploaders: Stefan Hornburg (Racke) <racke@linuxia.de>
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5), cdbs (>= 0.4.23-1.1), libgettext-ruby-util
 
 Package: dhelp
-Depends: ${shlibs:Depends}, debconf | debconf-2.0, perl-modules
-Recommends: mozilla-firefox | www-browser
-Suggests: httpd, swish++, info2www, man2html 
-Architecture: any
+Depends: perl-modules, libtemplate-perl, libhtml-parser-perl, liburi-perl, ruby1.8, libdb4.2-ruby1.8, libcommandline-ruby1.8, libgettext-ruby1.8, doc-base, swish++, liblocale-gettext-perl, libdata-page-perl, pstotext
+Recommends: iceweasel | firefox-3.0 | www-browser
+Suggests: httpd, info2www, man2html, lynx | links | w3m | html2text, catdvi, xpdf-utils
+Architecture: all
 Description: online help system
  Read all documentation with a WWW browser. dhelp builds a
  index of all installed HTML documentation. You don't need

=== debian/rules ===
#!/usr/bin/make -f
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.

DEB_MAKE_INSTALL_TARGET    = install DESTDIR=$(DEB_DESTDIR) PREFIX=/usr
DEB_COMPRESS_EXCLUDE       = .dhelp
DEB_INSTALL_DOCS_dhelp     = debian/THANKS
DEB_INSTALL_MANPAGES_dhelp = man/dhelp*
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

common-install-impl::
	cp debian/dot-dhelp $(DEB_DESTDIR)/usr/share/doc/dhelp/.dhelp
